package bmpviewer;
import java.awt.*;
import java.awt.event.*;

/**
 * Dialog to input text.
 * <p>
 * @author      Hiroyuki Murata
 * @since       JDK1.1
 */
public class TextInputDialog extends Dialog
 implements ActionListener,WindowListener {
    TextField tf;
    Button btnOK = new Button("OK");
    Button btnCancel = new Button("cancel");

    TextInputDialog(Frame frame, String title, String msg, int tflen) {
        super(frame, title);
        tf = new TextField(tflen);

        add("North", new Label(msg));
        add("Center",tf);
        Panel p = new Panel();
            p.add(btnOK);
            p.add(btnCancel);
        add("South",p);
        pack();

        addWindowListener(this);
        btnCancel.addActionListener(this);
    }

    void addEnter(ActionListener al) {
        tf.addActionListener(al);
        btnOK.addActionListener(al);
    }

    String getText() {
        return tf.getText();
    }

    public void setVisible(boolean visible) {
        if (visible)
            tf.setText("");
        super.setVisible(visible);
    }

    // as ActionListener (Cancel) --------------------------
    public void actionPerformed(ActionEvent ev) { setVisible(false); }
    // as WindowListener -----------------------------------
    public void windowClosing(WindowEvent ev) { setVisible(false); }
    public void windowOpened(WindowEvent ev) {}
    public void windowClosed(WindowEvent ev) {}
    public void windowIconified(WindowEvent ev) {}
    public void windowDeiconified(WindowEvent ev) {}
    public void windowActivated(WindowEvent ev) {}
    public void windowDeactivated(WindowEvent ev) {}
}
